Package org.eclipse.birt.report.model.api

# Class PropertyBindingHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.PropertyBindingHandle

public class PropertyBindingHandle extends StructureHandle
Represents the handle of property binding structure. The property binding defines the overridable property value. It includes property name, element ID and overridden value.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`PropertyBindingHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of property binding.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Returns the overridden value of property binding.
`void`
`setValue(String expression)`
Sets the property binding value.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyBindingHandle

public PropertyBindingHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of property binding.

Parameters:
  `valueHandle` - the value handle for property binding list of one property
  `index` - the position of this property binding in the list

## Method Details

### getValue

public String getValue()
Returns the overridden value of property binding.

Returns:
  the overridden value

### setValue

public void setValue(String expression)
Sets the property binding value.

Parameters:
  `expression` - the value expression to set